function convStartRow = convstartsat(scemPar,critGelRub)

if size(critGelRub,1)==0
    
        convStartRow = NaN;
        
else 

    lastAboveIx = find(any(critGelRub(:,2:end)>=scemPar.critGelRubConvd,2),1,'last');

    if isempty(lastAboveIx)
        
        convStartRow = critGelRub(1,1);
        
    elseif lastAboveIx == size(critGelRub,1)
         
        convStartRow = NaN;
        
    else
        
        convStartRow = critGelRub(lastAboveIx+1,1);
        
    end
end